package de.tudarmstadt.maki.simonstrator.api.uavsupport.communication;

import de.tudarmstadt.maki.simonstrator.api.component.network.NetworkComponent.NetInterfaceName;
import de.tudarmstadt.maki.simonstrator.api.component.overlay.OverlayMessage;

/**
 * Interface to mimic a wireless interface that has an overlay contact and gives
 * access to unicast and broadcasting methods for messages.
 * 
 * @author Julian Zobel
 *
 */
public interface LoRaInterface {

	public NetInterfaceName getNetInterfaceName();

	public void sendLoRaMessage(OverlayMessage message);

}
