package de.tudarmstadt.maki.simonstrator.api.component.relevance.path;

import java.util.Comparator;

public class RoadNetworkPathComperator implements Comparator<StatisticalRoadNetworkRoute> {

    public RoadNetworkPathComperator() {
    }

    @Override
    public int compare(StatisticalRoadNetworkRoute pPath0, StatisticalRoadNetworkRoute pPath1) {
		int compare = Integer.compare(pPath0.getPath().getRoute().size(), pPath1.getPath().getRoute().size());
		if (compare == 0) {
			compare = -Double.compare(pPath0.getProbability(), pPath1.getProbability());
		}
		return compare;
    }
}